joomla-and-more.com
Windows Live Essentials 2011 requires SP2
At some point in my blogging career, I had created one blog too many. It was no longer convenient to update my Wordpress.com / Blogger blogs by logging in and writing my posts in the b…